<?php
/*
Plugin Name: Sprintcheckout
Plugin URI: https://www.sprintcheckout.com
Description: Accept crypto payments on Woocommerce at scale, thanks to the first Ethereum Layer 2 Woocommerce plugin.
Version: 1.0.1
Author: Sprintcheckout
Author URI: https://www.sprintcheckout.com
License: GPLv3 or later
Text Domain: sprintcheckout
*/

defined("ABSPATH") or die("No direct access!");

if ( ! function_exists( 'is_woocommerce_activated' ) ) {
	function is_woocommerce_activated() {
		if ( class_exists( 'woocommerce' ) ) { 
			return true; 
		} 
		else { 
			return false; 
		}
	}
}


class SprintCheckout {

function __construct() {

	add_action('init', array($this, 'sp_start_from_here'));
	//add_action('init', array($this, 'sp_create_table'));
	add_action('wp_enqueue_scripts', array($this, 'spc_enqueue_script_front'));
	add_action('admin_enqueue_scripts', array($this, 'admin_enqueue_script_front'));
	add_action('init', array($this,  'spc_create_table'));
	add_action('template_redirect', array($this,'define_default_payment_gateway'));
}



function sp_start_from_here() {
	  require_once plugin_dir_path(__FILE__) . 'backend/spc_currency.php';
    require_once plugin_dir_path(__FILE__) . 'frontend/spc_send_get_request.php';
    require_once plugin_dir_path(__FILE__) . 'frontend/spc_send_get_request_dropdown.php';
}

/**
* Enqueue Style and Scripts
*/
function spc_enqueue_script_front()
{
	//Style & Script
	wp_enqueue_style('spc-style', plugins_url('assets/css/spc.css', __FILE__) , '1.0.0', 'all');
	wp_enqueue_script('spc-script', plugins_url('assets/js/spc.js', __FILE__) , array('jquery') , '1.0.0', true);
	wp_localize_script('spc-script', 'ajax_object', array('ajax_url' => admin_url('admin-ajax.php') ));
}
/**
* ADMIN Enqueue Style and Scripts
*/
function admin_enqueue_script_front($hook)
{

	//Style & Script
	wp_enqueue_style('spc-admin-style', plugins_url('assets/css/spc_admin.css', __FILE__) , '1.0.0', 'all');
  wp_enqueue_script('spc-admin-script', plugins_url('assets/js/spc_admin.js', __FILE__) , array('jquery') , '1.0.0', true);
  wp_localize_script('spc-admin-script','ajax_object',array(
    'ajax_url' => admin_url( 'admin-ajax.php' ),
    'security' => wp_create_nonce('spc_currency')
) );

}

function spc_create_table()
{
    global $wpdb;
    $table_name = $wpdb->base_prefix . 'spc_tokins';
    $query = $wpdb->prepare('SHOW TABLES LIKE %s', $wpdb->esc_like($table_name));
    if (!$wpdb->get_var($query) == $table_name)
    {
        $charset_collate = $wpdb->get_charset_collate();
        $sql = "CREATE TABLE $table_name (
        id mediumint(100) NOT NULL AUTO_INCREMENT, 
        tokin LONGTEXT NOT NULL, PRIMARY KEY  (id)) 
        $charset_collate;";
        require_once (ABSPATH . 'wp-admin/includes/upgrade.php');
        dbDelta($sql);
    }
    //  $wpdb->query('TRUNCATE TABLE $table_name');
    //  $wpdb->query( "DROP TABLE IF EXISTS $table_name" );
   
}


function define_default_payment_gateway()
{
    if (is_checkout() && !is_wc_endpoint_url())
    {
        // HERE define the default payment gateway ID
        $default_payment_id = 'paypal';
        WC()->session->set('chosen_payment_method', $default_payment_id);
    }
}


} // class ends

// CHECK WETHER CLASS EXISTS OR NOT.

if (class_exists('SprintCheckout')) {
	$obj = new SprintCheckout();
require_once plugin_dir_path(__FILE__).'frontend/spc_gateway.php';

}